6.0.0-git
2019-08-23

[#11118] Poll response broken after showMessage requests
Summary Poll response broken after showMessage requests
Queue IMP
Queue Version Git master
Type Bug
State Not A Bug
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-03-30 (2702 days ago)
Due
Updated 2012-04-05 (2696 days ago)
Assigned 2012-04-02 (2699 days ago)
Resolved 2012-04-05 (2696 days ago)
Milestone
Patch No

History
2012-04-05 17:10:32 Michael Slusarz Comment #8
State ⇒ Not A Bug
Reply to this comment
Yes, that fixed it. Have these fixes implemented inbetween releases? 
I.e. would the cache correctly be expired if users upgrade to the 
next version, or will they see cache corruption too?
No.  These changes to IMAP caching all occurred between 1.5.2 -> 1.5.3 
(not yet released) in Horde_Imap_Client.
2012-04-05 08:39:00 Jan Schneider Comment #7 Reply to this comment

[Show Quoted Text - 11 lines]
Yes, that fixed it. Have these fixes implemented inbetween releases? 
I.e. would the cache correctly be expired if users upgrade to the next 
version, or will they see cache corruption too?
2012-04-04 23:01:48 Michael Slusarz Comment #6 Reply to this comment
This is from opening a mailbox with 4 unseen message, then opening 
one of the unseen messages. After that, the unseen count is still at 
4.
Your cache data is broken:

C: 2 EXAMINE INBOX.horde.bugs (QRESYNC (1082203163 348 0:2, [...]

This indicates you haven't cleared your cache since the imap cache 
fixes were implemented.  Can you try clearing your cache and try again?

This could be why this is occurring after viewing a message:
Retrieved search results from cache (mailbox: INBOX.horde.bugs; id: 
9aa2c4b715a8dfd5fe17303e4a0d4d07)
instead of this:
Expired search results from cache (mailbox: INBOX.horde.bugs)
(Saving flag data to the cache will reset the search cache)
2012-04-04 19:53:47 Jan Schneider Comment #5
New Attachment: imap.log Download
Reply to this comment
This is from opening a mailbox with 4 unseen message, then opening one 
of the unseen messages. After that, the unseen count is still at 4.
2012-04-04 18:21:26 Michael Slusarz Comment #4 Reply to this comment
I don't see any such request when loading a message.
Post the IMAP log for a page access where you are seeing the broken behavior.
2012-04-03 09:19:03 Jan Schneider Comment #3 Reply to this comment
I don't see this.  Maybe a problem with the Imap_client 
statusMultiple() implementation for your IMAP server?

I'm seeing this in my IMAP log:

C: 6 SEARCH RETURN (COUNT) UNSEEN
S: * ESEARCH (TAG "6") COUNT 0
S: 6 OK Search completed (0.000 secs).
I don't see any such request when loading a message.
2012-04-02 23:26:51 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
I don't see this.  Maybe a problem with the Imap_client 
statusMultiple() implementation for your IMAP server?

I'm seeing this in my IMAP log:

C: 6 SEARCH RETURN (COUNT) UNSEEN
S: * ESEARCH (TAG "6") COUNT 0
S: 6 OK Search completed (0.000 secs).
2012-03-30 12:47:36 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Poll response broken after showMessage requests
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
If displaying a preview, the poll property of the showMessage response 
contains the old new-message-count from before viewing the message. 
The count status is not updated in the folder list until the next 
request with a poll response.

Saved Queries